const express = require("express");
const router = express.Router();

const authController = require("../controllers/admin");
const serviceController = require("../controllers/service");
const userController = require("../controllers/user");

// Admin Auth
router.post("/admin/signup", authController.signup);
router.post("/admin/login", authController.login);
router.get("/admin/getAdmin", authController.getAdmin);
router.post("/admin/updateAdmin", authController.updateAdmin);
router.post("/admin/forgetPassword", authController.forgetPassword);
router.post("/admin/verifyOTP", userController.verifyOTP);
router.post("/admin/resetPassword", authController.resetPassword);
router.post("/admin/changePassword", authController.changePassword);
router.post("/admin/deleteAdmin", authController.deleteAdmin);

// Service Controller
router.post("/admin/addService", serviceController.addService);
router.get("/admin/getAllServices", serviceController.getAllServices);
router.post("/admin/updateService", serviceController.updateService);
router.post("/admin/deleteService", serviceController.deleteService);

module.exports = router